Skip to main content
POST
/
api
/
wordpress-instances
Create a WordPress site token
curl --request POST \
  --url https://convertly.sh/api/wordpress-instances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "instance": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "site_url": "<string>",
    "api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_keys": {
      "key_prefix": "<string>",
      "last_used_at": "2023-11-07T05:31:56Z"
    }
  },
  "token": "<string>"
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Body

application/json
name
string
required

Client or WordPress site name. Trimmed before validation.

Required string length: 1 - 80
siteUrl
string<uri>

Optional WordPress site URL. Trimmed before validation; blank input is stored as no URL.

Maximum string length: 300
storageAccess
enum<string>
default:isolated

none disables Convertly Storage for the site token. isolated gives the site its own storage scope.

Available options:
none,
isolated

Response

Created WordPress site token. The token is returned once.

instance
object
required
token
string
required

The WordPress site token. It is returned only once when the site is created.